// различие
// Чтобы запустить, закомментируйте вывод l

if (true) {
    // видна глобально
    var v = 'объявление var';
}
console.log(v); // переменная существует вне блока условия

if (true) {
    // видна в рамках своего блока
    let l = 'объявление let';
}
console.log(l); // Ошибка, l не определена

const t = 30;
t = 40; // Ошибка, переменная только для чтения